DROP TABLE IF EXISTS `#__bfsurvey_profree`;
DROP TABLE IF EXISTS `#__bfsurvey_profree_example`;

INSERT INTO `#__categories` (`id`, `parent_id`, `title`, `name`, `alias`, `image`, `section`, `image_position`, `description`, `published`, `checked_out`, `checked_out_time`, `editor`, `ordering`, `access`, `count`, `params`) VALUES 
('', 0, 'Example', '', 'example', '', 'com_bfsurvey_profree', 'left', '', 1, 0, '0000-00-00 00:00:00', NULL, 1, 0, 0, '');

SELECT @catid := max(id) from `#__categories`;

CREATE TABLE `#__bfsurvey_profree` (
  `id` int(11) unsigned NOT NULL auto_increment,
  `catid` int(11) NOT NULL default '0',
  `question` varchar(255) NOT NULL,
  `question_type` varchar(255) NOT NULL,
  `date` datetime NOT NULL default '0000-00-00 00:00:00',
  `checked_out` int(11) NOT NULL default '0',
  `checked_out_time` datetime NOT NULL default '0000-00-00 00:00:00',
  `published` tinyint(1) NOT NULL default '0',
  `ordering` int(11) NOT NULL default '0',
  `parent` int(11) NOT NULL,
  `option1` varchar(150) NOT NULL,
  `option2` varchar(150) NOT NULL,
  `option3` varchar(150) NOT NULL,
  `option4` varchar(150) NOT NULL,
  `option5` varchar(150) NOT NULL,
  `option6` varchar(150) NOT NULL,
  `option7` varchar(150) NOT NULL,
  `option8` varchar(150) NOT NULL,
  `option9` varchar(150) NOT NULL,
  `option10` varchar(150) NOT NULL,
  `next_question1` int(11) NOT NULL,
  `next_question2` int(11) NOT NULL,
  `next_question3` int(11) NOT NULL,
  `next_question4` int(11) NOT NULL,
  `next_question5` int(11) NOT NULL,
  `next_question6` int(11) NOT NULL,
  `next_question7` int(11) NOT NULL,
  `next_question8` int(11) NOT NULL,
  `next_question9` int(11) NOT NULL,
  `next_question10` int(11) NOT NULL,
  `prefix` varchar(20) NOT NULL,
  `sufix` varchar(20) NOT NULL,
  `field_name` varchar(50) NOT NULL,
  `mandatory` tinyint(1) NOT NULL,
  `helpText` varchar(255) NOT NULL,
  `sql` varchar(255) NOT NULL,
  `sqlfield` varchar(25) NOT NULL,
  `horizontal` tinyint(1) NOT NULL,
  PRIMARY KEY  (`id`)
) ;


INSERT INTO `#__bfsurvey_profree` (`id`, `catid`, `question`, `question_type`, `date`, `checked_out`, `checked_out_time`, `published`, `ordering`, `parent`, `option1`, `option2`, `option3`, `option4`, `option5`, `option6`, `option7`, `option8`, `option9`, `option10`, `next_question1`, `next_question2`, `next_question3`, `next_question4`, `next_question5`, `next_question6`, `next_question7`, `next_question8`, `next_question9`, `next_question10`, `prefix`, `sufix`, `field_name`, `mandatory`, `helpText`, `sql`, `sqlfield`) VALUES 
(1, @catid, 'Is this the first time you have used us?', '1', '2008-10-29 23:32:11', 0, '0000-00-00 00:00:00', 1, 1, 0, 'Yes', 'No', '', '', '', '', '', '', '', '', 0, 4, 0, 0, 0, 0, 0, 0, 0, 0, '', '', 'firstTime', 1, '', '', ''),
(2, @catid, 'How did you hear about us?', '1', '2008-10-24 01:15:30', 0, '0000-00-00 00:00:00', 1, 2, 0, 'Word of Mouth', 'Advertisement', 'Internet', 'Other', '', '', '', '', '', '', 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, '', '', 'howDidYouHear', 1, '', '', ''),
(3, @catid, 'Why did you choose to use us?', '2', '2008-10-29 02:42:06', 0, '0000-00-00 00:00:00', 1, 3, 0, 'Price', 'Quality', 'Service', 'Recommendation', 'Referral', 'Location', 'Other', '', '', '', 5, 5, 5, 5, 5, 5, 5, 0, 0, 0, '', '', 'whyUs', 0, '', '', ''),
(4, @catid, 'Why did you choose to use us again?', '2', '2008-10-24 01:19:18', 0, '0000-00-00 00:00:00', 1, 4, 0, 'Price', 'Quality', 'Service', 'Convenience', '', '', '', '', '', '', 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, '', '', 'whyAgain', 0, '', '', ''),
(5, @catid, 'How would you rate our service?', '6', '2008-10-24 01:15:34', 0, '0000-00-00 00:00:00', 1, 5, 0, 'Very good', 'Good', 'Acceptable', 'Poor', 'Very poor', '', '', '', '', '', 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, '', '', 'rateService', 1, '', '', ''),
(6, @catid, 'How would you rate the quality of our work?', '1', '2008-11-02 00:07:17', 0, '0000-00-00 00:00:00', 1, 6, 0, '', '', '', '', '', '', '', '', '', '', 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, '', '', 'rateQualityOfWork', 0, '', 'select * from jos_bfsurvey_profree_example', 'choices'),
(7, @catid, 'Would you use us again?', '1', '2008-11-02 00:01:58', 0, '0000-00-00 00:00:00', 1, 7, 0, 'Yes', 'No', '', '', '', '', '', '', '', '', 0, 9, 0, 0, 0, 0, 0, 0, 0, 0, '', '', 'useAgain', 1, '', '', ''),
(8, @catid, 'When are you likely to use our services next?', '5', '2008-11-02 00:01:38', 0, '0000-00-00 00:00:00', 1, 8, 0, '', '', '', '', '', '', '', '', '', '', 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, '', '', 'whenNextUse', 0, 'An approfreeximate date will be fine.', '', ''),
(9, @catid, 'Do you have any other comments?', '3', '2008-10-24 02:14:38', 0, '0000-00-00 00:00:00', 1, 9, 0, '', '', '', '', '', '', '', '', '', '', 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, '', '', 'comments', 0, '', '', '');




CREATE TABLE `#__bfsurvey_profree_example` (
  `id` int(11) unsigned NOT NULL auto_increment,
  `choices` varchar(255) NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=4 ;


INSERT INTO `#__bfsurvey_profree_example` (`id`, `choices`) VALUES 
(1, 'High'),
(2, 'Acceptable'),
(3, 'Low');
